#2116 closed defect (fixed)

Could you change the help prompt from --log file to --log=file.txt

Reported by: cynt6007 Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: tool/rsb Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

../source-builder/sb-set-builder unstable/4.11/rtems-v850.bset --dry-run --log file
Traceback (most recent call last):

File "../source-builder/sb-set-builder", line 26, in <module>

setbuilder.run()

File "../source-builder/sb/setbuilder.py", line 360, in run

opts = options.load(sys.argv, optargs)

File "../source-builder/sb/options.py", line 446, in load

o.process()

File "../source-builder/sb/options.py", line 226, in process

if arg == len(args) - 1:

NameError?: global name 'args' is not defined

Change History (5)

comment:1 Changed on Apr 14, 2013 at 9:50:49 PM by Chris Johns

Status: newassigned

comment:2 Changed on Apr 14, 2013 at 11:15:35 PM by Chris Johns

Resolution: fixed
Status: assignedclosed

Fixed. The option parsing code was wrong...

$ ../source-builder/sb-set-builder --log=l-avr.txt --no-download --prefix /usr/share/xxxxxx 4.11/rtems-avr
error: prefix is not writable: /usr/share/xxxxxx
Build FAILED

comment:3 Changed on Nov 22, 2014 at 12:29:09 PM by Gedare Bloom

Component: CodeRSB
Milestone: 4.11

comment:4 Changed on Nov 23, 2014 at 3:50:06 PM by Gedare Bloom

Version: unknown4.11

Set version based on title name, these seem obviously to only affect 4.11

comment:5 Changed on Oct 10, 2017 at 6:04:12 AM by Sebastian Huber

Component: CodeRSB
Note: See TracTickets for help on using tickets.